Page MenuHomePhabricator

[Regression?] A <graph> on a particular page can't be edited
Closed, ResolvedPublic8 Story Points

Description

Theory:

https://www.mediawiki.org/wiki/Extension:Graph/Demo#Embedded_directly_with_.3Cgraph.3E contains a blue bar <graph> that should be editable in VisualEditor.

Data:

Opening that in VisualEditor, and selecting the graph, produces green stripes of un-editable alienated content:

This is reproducible in Safari 9.0 and Firefox 41 on Mac OS 10.10.5

Event Timeline

Whatamidoing-WMF raised the priority of this task from to Needs Triage.
Whatamidoing-WMF updated the task description. (Show Details)
Whatamidoing-WMF added a subscriber: Whatamidoing-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 16 2015, 11:41 PM
ferdbold added a comment.EditedOct 18 2015, 8:17 PM

Noticed that as well but can't seem to reproduce the bug. Even copypasting the same graph in another page on mediawiki.org doesn't get me the same behaviour...
https://www.mediawiki.org/wiki/User:Ferdbold/Sandbox

What seems to happen though is that this particular page treats the <graph> tag as being inline before trying to match it with a mwGraph node. The mwGraph being a block node, it doesn't match anything as the graph is now wrapped inside a paragraph node, so it produces an alienInline instead. Vega still rendering the graph correctly under the stripes, even if it's not a mwGraph, may be a fluke given that there are other graphs in this page, so vega.js is still loaded into this page and searching for JSON specs to render.

Copypasting the same exact area (including all surrounding wikitext) on my sandbox doesn't produce the same result. There, the <graph> successfully gets processed as a mwGraph block, without being wrapped in a paragraph tag. This makes me think it isn't a problem with the Graph extension. Maybe Parsoid?

Jdforrester-WMF renamed this task from <graph>s can't be edited to [Regression?] A <graph> on a particular page can't be edited .Oct 19 2015, 1:40 AM
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to Blocked on the VisualEditor board.

I checked it again today and that graph works now. Maybe it indeed was an issue in Parsoid and *something* solved this issue?

Jdforrester-WMF closed this task as Resolved.Nov 20 2015, 7:58 PM
Jdforrester-WMF claimed this task.